## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-testing.postgresql
Version:        1.3.0
Release:        %autorelease
Summary:        Automatically sets up a PostgreSQL testing instance

License:        Apache-2.0
URL:            https://github.com/tk0miya/testing.postgresql
Source0:        %{pypi_source testing.postgresql}
BuildArch:      noarch

# Backport unreleased commit 738c8eb19a4b064dd74ff851c379dd1cbf11bc65
# “Use utility methods of testing.common.database >= 1.1.0”, required
# for compatibility with testing.common.database >= 2.0.0.
Patch0:         %{url}/commit/738c8eb19a4b064dd74ff851c379dd1cbf11bc65.patch

# Backport unreleased commit 577445d8ff5e0ea89ccaf09fd5b82165a0875afe
# “Add CentOS/RHEL postgesql home directory blob to search patterns.”
Patch1:         %{url}/commit/577445d8ff5e0ea89ccaf09fd5b82165a0875afe.patch

BuildRequires:  postgresql-server

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# setup.py: install_requires
BuildRequires:  python3dist(testing-common-database) >= 1.1.0
BuildRequires:  python3dist(pg8000) >= 1.10

# setup.py: extras_require["testing"]
# nose is only used as the runner, so we can use pytest instead:
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(psycopg2)
BuildRequires:  python3dist(sqlalchemy)

%global common_description %{expand:
Automatically sets up a PostgreSQL instance in a temporary directory, and
destroys it after testing.}

%description %{common_description}


%package -n     python3-testing.postgresql
Summary:        %{summary}

Requires:       postgresql-server

%description -n python3-testing.postgresql %{common_description}


%prep
%autosetup -n testing.postgresql-%{version} -p1
# Remove bundled egg-info
rm -rf src/testing.postgresql.egg-info


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH='%{buildroot}%{python3_sitelib}' %{python3} -m pytest


%files -n python3-testing.postgresql
%license LICENSE
%doc README.rst
# The directory %%{python3_sitelib}/testing is a namespace package directory;
# we do not need to (co-)own it because it is owned by dependency
# python3dist(testing.common.database). (Co-owning it would not be harmful.)
%pycached %{python3_sitelib}/testing/postgresql.py
%{python3_sitelib}/testing.postgresql-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/testing.postgresql-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-6
- Fix initial blank lines in package descriptions

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-5
- Depend on postgresql-server from python3-testing.postgresql

* Fri Aug 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-4
- Tidy up spec-file whitespace and commentary

* Fri Aug 04 2023 Miroslav Suchý <msuchy@redhat.com> - 1.3.0-3
- migrate license to SPDX

* Thu Jan 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-1
- Update to 1.3.0 (close RHBZ#1639492)
- Remove BR on deprecated python3dist(nose)
- Correctly mark LICENSE file

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-14
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-12
- Rebuilt for Python 3.7

* Thu Mar 15 2018 Martin Kutlak <mkutlak@redhat.com> - 1.1.0-11
- Add a missing dependency on which (BZ#1455202)

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.0-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 08 2015 Richard Marko <rmarko@fedoraproject.org> - 1.1.0-1
- Initial package

